GetCodeIssueArtifact
Retrieves one immutable artifact attached to an issue, including its content.
Request Syntax
GET /environments/environmentId/code-issues/issueId/artifacts/artifactId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- artifactId
-
The identifier of the artifact.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9]+Required: Yes
- environmentId
-
The identifier of the environment.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9]+Required: Yes
- issueId
-
The identifier of the issue.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9]+Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"artifactId": "string",
"artifactType": "string",
"body": { ... },
"createdAt": "string",
"mediaType": "string",
"metadata": JSON value,
"producer": {
"agent": "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- artifactId
-
The identifier of the artifact.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9]+ - artifactType
-
The artifact Type.
Type: String
Valid Values:
EVIDENCE | AGENT_COMMUNICATION | VALIDATION_EVIDENCE | REMEDIATION_PROPOSAL | DECISION | PATCH - body
-
The projected body of an artifact. The active member is selected by the artifact's artifactType, and for a type that carries more than one payload kind by the stored content's own discriminator;
rawcarries content for types with no defined shape yet and for content that did not match its shape.Type: IssueArtifactBody object
Note: This object is a Union. Only one member of this object can be specified or returned.
- createdAt
-
The timestamp when the resource was created.
Type: Timestamp
- mediaType
-
The media Type.
Type: String
Length Constraints: Minimum length of 3. Maximum length of 255.
- metadata
-
The metadata.
Type: JSON value
- producer
-
The producer.
Type: IssueArtifactProducerSummary object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The request is not authorized. Verify that your credentials and request signature are valid and that you have permission to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request couldn't be processed because of an internal server issue. Try again later. If the problem persists, contact AWS Support.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify that the resource identifier is correct and that the resource exists.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The request failed to satisfy the constraints specified by AWS Continuum. Correct the fields identified in the error and retry the request.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: